Skip to content

Get a platform setting

GET
/v1/admin/platform-settings/{setting_id}/

Authorization

apiKey
headerAuthorizationBasic <token>

HTTP Basic authentication with an admin API key as the username and an empty password.

Path Parameters

setting_id*string

The ID of the platform setting.

Response Body

The setting. Secrets are masked.

application/json
  1. response

A platform-wide integration: risk_and_fraud / fraud_prevention settings named cybersource or seon, and plugins / shopify settings. Secrets are write-only: responses mask them.

id?string
created?string
Formatdate-time
modified?string
Formatdate-time
name*string
type*string
sub_type*string
status*string
Value in"enabled""disabled""always_enabled"
settings*

The settings of the integration, such as report_only and decline_transaction_if_integration_is_unavailable for fraud prevention.

secrets?

The credentials of the integration, such as api_key.

curl -X GET 'https://api.example.com/v1/admin/platform-settings/string/' \  --user "$API_KEY:"
{  "id": "string",  "created": "2019-08-24T14:15:22Z",  "modified": "2019-08-24T14:15:22Z",  "name": "seon",  "type": "risk_and_fraud",  "sub_type": "fraud_prevention",  "status": "enabled",  "settings": {},  "secrets": {}}